summaryrefslogtreecommitdiffstats
path: root/kde/ktorrent
diff options
context:
space:
mode:
Diffstat (limited to 'kde/ktorrent')
-rw-r--r--kde/ktorrent/doinst.sh.gzbin0 -> 118 bytes
-rwxr-xr-xkde/ktorrent/ktorrent.SlackBuild91
-rw-r--r--kde/ktorrent/local.options1
-rw-r--r--kde/ktorrent/slack-desc19
4 files changed, 111 insertions, 0 deletions
diff --git a/kde/ktorrent/doinst.sh.gz b/kde/ktorrent/doinst.sh.gz
new file mode 100644
index 0000000..fbdbec0
--- /dev/null
+++ b/kde/ktorrent/doinst.sh.gz
Binary files differ
diff --git a/kde/ktorrent/ktorrent.SlackBuild b/kde/ktorrent/ktorrent.SlackBuild
new file mode 100755
index 0000000..57cf6ae
--- /dev/null
+++ b/kde/ktorrent/ktorrent.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Copyright 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-ktorrent
+
+# Set the config option variables if they are not already set:
+if [ -r ../KDE.options ]; then
+ . ../KDE.options
+fi
+
+# The global options may be overridden here (if needed):
+if [ -r ./local.options ]; then
+ . ./local.options
+fi
+
+# Avoid a version number in .la files:
+if [ -d /usr/lib${LIBDIRSUFFIX}/qt ]; then
+ QTDIR=/usr/lib${LIBDIRSUFFIX}/qt
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+echo "Building ktorrent-$VERSION..."
+tar xvf $CWD/../src/extragear/ktorrent-${VERSION}.tar.?z* || exit 1
+cd ktorrent-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ $KDE_OPT_ARGS \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DSYSCONF_INSTALL_DIR=/etc/kde \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ ..
+ make $NUMJOBS || exit 1
+ make install DESTDIR=$PKG || exit 1
+cd -
+
+if [ -d $PKG/usr/man ]; then
+ gzip -9 $PKG/usr/man/man?/*
+fi
+
+mkdir -p $PKG/usr/doc/ktorrent-$VERSION
+cp -a COPYING* ChangeLog \
+ $PKG/usr/doc/ktorrent-$VERSION
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/ktorrent-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/kde/ktorrent/local.options b/kde/ktorrent/local.options
new file mode 100644
index 0000000..6cff613
--- /dev/null
+++ b/kde/ktorrent/local.options
@@ -0,0 +1 @@
+VERSION=4.0.4
diff --git a/kde/ktorrent/slack-desc b/kde/ktorrent/slack-desc
new file mode 100644
index 0000000..fbf151f
--- /dev/null
+++ b/kde/ktorrent/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ktorrent: ktorrent (KDE BitTorrent program)
+ktorrent:
+ktorrent: KTorrent is a BitTorrent program with many features:
+ktorrent: Download torrent files (of course :-), upload and download speed
+ktorrent: capping, Internet searching, UDP trackers, port forwarding with UPnP,
+ktorrent: IP blocking, importing of partially or fully downloaded files,
+ktorrent: support for distributed hash tables, protocol encryption,
+ktorrent: bandwidth scheduling, and much more.
+ktorrent:
+ktorrent: KTorrent's developers are Joris Guisson and Ivan Vasic.
+ktorrent: KTorrent is released under the GPL.